## org.eclipse.datatools.connectivity.oda.design
Interface ParameterFieldDefinition

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ParameterFieldDefinition

extends org.eclipse.emf.ecore.EObject

The definition of each field in a complex parameter. A parameter field is of scalar type.

The following features are supported:

- `Attributes`
- `Input Attributes`
- `Output Usage Hints`

See Also:
  `DesignPackage.getParameterFieldDefinition()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`DataElementAttributes` `getAttributes()` Returns the value of the 'Attributes' containment reference.
`InputElementAttributes` `getInputAttributes()` Returns the value of the 'Input Attributes' containment reference.
`OutputElementAttributes` `getOutputUsageHints()` Returns the value of the 'Output Usage Hints' containment reference.
`boolean` `isInput()` Indicates whether this parameter field is part of a complex input parameter.
`boolean` `isOutput()` Indicates whether this parameter field is part of a complex output parameter.
`void` `setAttributes(DataElementAttributes value)` Sets the value of the '`Attributes`' containment reference.
`void` `setInputAttributes(InputElementAttributes value)` Sets the value of the '`Input Attributes`' containment reference.
`void` `setOutputUsageHints(OutputElementAttributes value)` Sets the value of the '`Output Usage Hints`' containment reference.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### isInput

    boolean isInput()

  Indicates whether this parameter field is part of a complex input parameter.

  Returns:
    true if this parameter field is part of a complex input parameter; false otherwise.

### isOutput

    boolean isOutput()

  Indicates whether this parameter field is part of a complex output parameter.

  Returns:
    true if this parameter field is part of a complex output parameter; false otherwise.

### getAttributes

    DataElementAttributes getAttributes()

  Returns the value of the 'Attributes' containment reference. Attributes applicable to both input and output parameter mode.

  Returns:
    the value of the 'Attributes' containment reference.
  See Also:
    `setAttributes(DataElementAttributes)`, `DesignPackage.getParameterFieldDefinition_Attributes()`

### setAttributes

    void setAttributes(DataElementAttributes value)

  Sets the value of the '`Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Attributes' containment reference.
  See Also:
    `getAttributes()`

### getInputAttributes

    InputElementAttributes getInputAttributes()

  Returns the value of the 'Input Attributes' containment reference. Required for the field of an input parameter.

  Returns:
    the value of the 'Input Attributes' containment reference.
  See Also:
    `setInputAttributes(InputElementAttributes)`, `DesignPackage.getParameterFieldDefinition_InputAttributes()`

### setInputAttributes

    void setInputAttributes(InputElementAttributes value)

  Sets the value of the '`Input Attributes`' containment reference.

  Parameters:
    `value` - the new value of the 'Input Attributes' containment reference.
  See Also:
    `getInputAttributes()`

### getOutputUsageHints

    OutputElementAttributes getOutputUsageHints()

  Returns the value of the 'Output Usage Hints' containment reference. Optional for the field of an output parameter.

  Returns:
    the value of the 'Output Usage Hints' containment reference.
  See Also:
    `setOutputUsageHints(OutputElementAttributes)`, `DesignPackage.getParameterFieldDefinition_OutputUsageHints()`

### setOutputUsageHints

    void setOutputUsageHints(OutputElementAttributes value)

  Sets the value of the '`Output Usage Hints`' containment reference.

  Parameters:
    `value` - the new value of the 'Output Usage Hints' containment reference.
  See Also:
    `getOutputUsageHints()`